import java.awt.*;
import java.awt.event.*;

public class BorderTest extends CloseableFrame implements WindowListener
{
    public static void main( String [ ] args )
    {
        Frame f = new BorderTest( );

        f.setLayout( new BorderLayout( ) );
        f.add( new Button( "North" ), "North" );
        f.add( new Button( "East" ), "East" );
        f.add( new Button( "South" ), "South" );
        f.add( new Button( "West" ), "West" );
        f.add( new Button( "Center" ), "Center" );
        f.pack( );
        f.show( );
    }
}
